/*******************************************************************************
 * Java2Script Pacemaker (http://j2s.sourceforge.net)
 *
 * Copyright (c) 2006 ognize.com and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     ognize.com - initial API and implementation
 *******************************************************************************/

package test.visual.editor;

/**
 * @author josson smith
 *
 * 2006-2-13
 */
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

public class XYLayoutButtons {

	private Shell sShell = null;  //  @jve:decl-index=0:visual-constraint="10,10"
	private Button buttonOK = null;
	private Button buttonCancel = null;
	private Button buttonHello = null;
	private Button buttonTest = null;

	/**
	 * This method initializes sShell
	 */
	private void createSShell() {
		sShell = new Shell();
		sShell.setText("Shell");
		sShell.setSize(new org.eclipse.swt.graphics.Point(499,245));
		buttonOK = new Button(sShell, SWT.NONE);
		buttonOK.setBounds(new org.eclipse.swt.graphics.Rectangle(177,161,94,32));
		buttonOK.setText("OK");
		buttonCancel = new Button(sShell, SWT.NONE);
		buttonCancel.setBounds(new org.eclipse.swt.graphics.Rectangle(319,159,114,32));
		buttonCancel.setText("Cancel");
		buttonHello = new Button(sShell, SWT.NONE);
		buttonHello.setBounds(new org.eclipse.swt.graphics.Rectangle(23,15,176,115));
		buttonHello.setText("Hello world");
		buttonTest = new Button(sShell, SWT.NONE);
		buttonTest.setBounds(new org.eclipse.swt.graphics.Rectangle(238,43,248,34));
		buttonTest.setText("Test the VE-generated Java codes");
	}

	public static void main(String[] args) {
		XYLayoutButtons xyShell = new XYLayoutButtons();
		xyShell.createSShell();
		xyShell.buttonOK.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e) {
				System.out.println("<<OK>> pressed");
			}
		});
		xyShell.buttonCancel.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e) {
				System.out.println("<<Cancel>> pressed");
			}
		});
		xyShell.buttonHello.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e) {
				System.out.println("<<Hello world>> pressed");
			}
		});
		xyShell.buttonTest.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e) {
				System.out.println("<<Test the VE-generated Java codes>> pressed");
			}
		});
		xyShell.sShell.open();
		Display display = xyShell.sShell.getDisplay();
		while (!xyShell.sShell.isDisposed()) {
			if (!display.readAndDispatch()) display.sleep();
		}
		display.dispose();
	}
}

